Get Job Change History

Use this endpoint to get a history of actions performed for a job. Supported includes: createdBy. When startDate and endDate are specified, actions returned will be filtered to those created between those dates (inclusive). This endpoint will return a paginated response starting from the given page start index. A 416 Range Not Satisfiable error is returned when pageStartIndex is greater than or equal to the total number of history records. If the job has no history records, a 200 OK is returned with an empty items array, echoing back the requested pageSize and pageStartIndex.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The job's unique identifier

Query Params
integer

How many items to be returned at a time.

integer
Defaults to 0

The value of pageStartIndex will specify the index of the record that the list begins with.

string

A comma-separated list of related resources to expand inline in the response. Valid values vary by endpoint and are documented in each operation description.

date

The start of the date range to filter by, in YYYY-MM-DD format (inclusive). When provided with endDate, must be earlier than endDate.

date

The end of the date range to filter by, in YYYY-MM-DD format (inclusive). When provided, must be greater than startDate.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json